org.hibernate.validator.internal.metadata.raw

## Class ConstrainedField

- java.lang.Object
- - org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement
  - - org.hibernate.validator.internal.metadata.raw.ConstrainedField

- All Implemented Interfaces:
    Iterable<MetaConstraint<?>>, ConstrainedElement

      public class ConstrainedField
      extends AbstractConstrainedElement

  Represents a field of a Java type and all its associated meta-data relevant in the context of bean validation, for instance its constraints.
  Author:
    Gunnar Morling

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hibernate.validator.internal.metadata.raw.ConstrainedElement

      `ConstrainedElement.ConstrainedElementKind`

  - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement

      `constraints, groupConversions, isCascading, location, requiresUnwrapping, source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstrainedField(ConfigurationSource source, ConstraintLocation location, Set<MetaConstraint<?>> constraints, Map<Class<?>,Class<?>> groupConversions, boolean isCascading, boolean requiresUnwrapping)` Creates a new field meta data object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.raw.AbstractConstrainedElement

      `getConstraints, getGroupConversions, getKind, getLocation, isCascading, isConstrained, iterator, requiresUnwrapping, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstrainedField

          public ConstrainedField(ConfigurationSource source,
                          ConstraintLocation location,
                          Set<MetaConstraint<?>> constraints,
                          Map<Class<?>,Class<?>> groupConversions,
                          boolean isCascading,
                          boolean requiresUnwrapping)

      Creates a new field meta data object.
      Parameters:
        `source` - The source of meta data.
        `location` - The location of the represented field.
        `constraints` - The constraints of the represented field, if any.
        `groupConversions` - The group conversions of the represented field, if any.
        `isCascading` - Whether a cascaded validation of the represented field shall be performed or not.
        `requiresUnwrapping` - Whether the value of the field must be unwrapped prior to validation or not

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractConstrainedElement`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `AbstractConstrainedElement`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved